Revoke an API key
DELETE /api/admin/api-keys/{apiKeyId}Operation ID: revokeApiKey.
API authentication and error conventions.
Authentication
Meet one of these alternatives; schemes within each alternative are required together.
bearerAuth
Parameters
| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
apiKeyId | path | Yes | string | format: uuid;
|
apiKeyId JSON Schema
{
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
}Request body
No request body is declared.
Responses
Only the response statuses declared by the specification are listed below.
200
Successful response
application/json
Revoke an API key response 200 (application/json) schema. Source for this occurrence.
Last updated on